package org.codehaus.redback.integration.eXc;

/*
 * Copyright 2005-2006 The Codehaus.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.commons.lang.StringUtils;
import org.extremecomponents.table.bean.Column;
import org.extremecomponents.table.cell.AbstractCell;
import org.extremecomponents.table.core.TableModel;

/**
 * MailtoCell
 *
 * @author <a href="mailto:joakim@erdfelt.com">Joakim Erdfelt</a>
 * @version $Id: MailtoCell.java 656 2008-11-01 21:01:30Z olamy $
 */
public class MailtoCell
    extends AbstractCell
{

    protected String getCellValue( TableModel model, Column column )
    {
        String value = column.getPropertyValueAsString();
        if ( StringUtils.isBlank( value ) )
        {
            return "";
        }

        return "<a href=\"mailto:" + value + "\">" + value + "</a>";
    }

}
